## org.openmuc.jasn1.ber.types
Class BerObjectIdentifier

    java.lang.Object
      org.openmuc.jasn1.ber.types.BerObjectIdentifier

    public class BerObjectIdentifier

extends java.lang.Object

Field Summary
`byte[]` `code`
`protected BerIdentifier` `id`
`static BerIdentifier` `identifier`
`int[]` `objectIdentifierComponents`

Constructor Summary
`BerObjectIdentifier()`
`BerObjectIdentifier(byte[] code)`
`BerObjectIdentifier(int[] objectIdentifierComponents)`

Method Summary
`int` `decode(java.io.InputStream iStream, boolean explicit)`
`int` `encode(BerByteArrayOutputStream berOStream, boolean explicit)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public static final BerIdentifier identifier

### id

    protected BerIdentifier id

### code

    public byte[] code

### objectIdentifierComponents

    public int[] objectIdentifierComponents

Constructor Detail

### BerObjectIdentifier

    public BerObjectIdentifier()

### BerObjectIdentifier

    public BerObjectIdentifier(byte[] code)

### BerObjectIdentifier

    public BerObjectIdentifier(int[] objectIdentifierComponents)

Method Detail

### encode

    public int encode(BerByteArrayOutputStream berOStream,
                      boolean explicit)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public int decode(java.io.InputStream iStream,
                      boolean explicit)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`